//
// $Id: ByteEnum.java 2974 2011-01-01 05:09:33Z karma@deadmoose.com $
//
// samskivert library - useful routines for java programs
// Copyright (C) 2001-2011 Michael Bayne, et al.
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

package com.samskivert.util;

/**
 * An interface implemented by enums that can map themselves to a byte. See {@link ByteEnumUtil}
 * for mapping back from a byte to an enum.
 */
public interface ByteEnum
{
    /**
     * Returns the byte value to which to map this enum value.
     */
    public byte toByte ();
}
